List preferences
Response200
objectstringlistdataNotificationPreference[]5 fields
channelstringOne ofemailin_appdigeststringOne ofinstanthourlydailyenabledbooleantypestringworkspace_idstring or null
has_morebooleannext_cursorstring or nullfacetsmap<string, map<string, integer>> or nullpeoplemap<string, ActorRef> or null5 fields
idstring or nullkindstringOne ofuserapi_keyservice_accountworkloadend_usersystemnamestring or nullavatar_versionstring or nullemailstring or null
total_countinteger or nulltotal_count_exactboolean or null
Status codes
- 200Successful Response
- 4XXThe request was refused: the problem says why.
- 5XXThe API could not answer: the problem says why.
curl "https://api.mydeepagents.com/v1/notification_preferences" \
-H "Authorization: Bearer $MDA_API_KEY"{
"object": "list",
"data": [
{
"channel": "email",
"digest": "instant",
"enabled": true,
"type": "type",
"workspace_id": "ws_01jccj30nr8ad7mx1yc5v9zx3h"
}
],
"has_more": false,
"next_cursor": null,
"total_count": 1
}